from model import *
from utils import *

batch_size = 200
num_epochs = 20
learning_rate = 1e-3

train_iter, test_iter = load_data_mnist(batch_size)
model = VAE()
optim = torch.optim.Adam(model.parameters(), lr=learning_rate)

train(model, train_iter, test_iter, vae_loss, num_epochs, optim)

torch.save(model.state_dict(), 'vae.params')